### Method

# Cogl Pipeline set_uniform_float

#### Declaration [src]

    void
    cogl_pipeline_set_uniform_float (
      CoglPipeline* pipeline,
      int uniform_location,
      int n_components,
      int count,
      const float* value
    )

#### Description [src]

Sets new values for the uniform at `uniform_location`. If this pipeline has a user program attached and is later used as a source for drawing, the given values will be assigned to the uniform which can be accessed from the shader’s source. The value for `uniform_location` should be retrieved from the string name of the uniform by calling cogl_pipeline_get_uniform_location().

This function can be used to set any floating point type uniform, including float arrays and float vectors. For example, to set a single vec4 uniform you would use 4 for `n_components` and 1 for `count`. To set an array of 8 float values, you could use 1 for `n_components` and 8 for `count`.

#### Parameters

`uniform_location`

  Type: `int`

  The uniform’s location identifier.

`n_components`

  Type: `int`

  The number of components in the corresponding uniform’s type.

`count`

  Type: `int`

  The number of values to set.

`value`

  Type: `const float*`

  Pointer to the new values to set.

  The data is owned by the caller of the method.